Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#68682 - [cowsay] Missing Acme::Cow module

Attached to Project: Arch Linux
Opened by Martin Rys (C0rn3j) - Friday, 20 November 2020, 09:30 GMT
Last edited by Andreas Radke (AndyRTR) - Wednesday, 21 April 2021, 10:32 GMT
Task Type Bug Report
Category Packages: Extra
Status Assigned
Assigned To Levente Polyak (anthraxx)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 4
Private No

Details

Description:
Many of the cowfiles include Acme::Cow, but that does not seem to be required/installed, so cowsay will fail with:

cowsay: Can't locate Acme/Cow.pm in @INC (you may need to install the Acme::Cow module) (@INC contains: /usr/lib/perl5/5.32/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.32/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.32/core_perl /usr/share/perl5/core_perl) at /usr/share/cows/Example.pm line 5.
BEGIN failed--compilation aborted at /usr/share/cows/Example.pm line 5.


Additional info:
cowsay 3.04-2

Steps to reproduce:
cowsay -f /usr/share/cows/Frogs.pm bork
This task depends upon

Comment by BH (braderhart) - Monday, 22 February 2021, 02:22 GMT
A consultant is a person who borrows your watch, tells you what time it is, pockets the watch, and sends you a bill for it.
Comment by Felix Salazar (phollox) - Tuesday, 22 June 2021, 09:44 GMT
this also affects cowfortune, also part of community.

The missing perl package is not on CPAN. Google reveals several several modules named Acme::cows, from different developers. So installing this dependency CORRECTLY will require a bit of digging. It's easier to ban the .pm files or use a `fortune | cowsay -f $(find /usr/share/cows -type f -name "*.cow")`
Comment by Emanuele Torre (emanuele6) - Saturday, 30 July 2022, 11:10 GMT
If we can't find that Acme::Cow package, we could at least make this
package not install the cows that depend on it for the time being so
that cowfortune can actually be used.

Something like this should do:

grep -Zlr 'Acme::Cow' -- "$pkgdir"/usr/share/cows | xargs -0r rm --

Loading...